Upload a file to an activity
curl --request POST \
--url https://api.raul.ugps.io/api/v1/activity/{activityId}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.raul.ugps.io/api/v1/activity/{activityId}/files"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.raul.ugps.io/api/v1/activity/{activityId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"file_id": "<string>",
"activity_id": "<string>",
"file_name": "<string>",
"mime_type": "<string>",
"file_size": 123,
"uploaded_at": "2023-11-07T05:31:56Z",
"file_url": {}
}Activities
Upload a file to an activity
Operacion: Upload a file to an activity.
POST
/
api
/
v1
/
activity
/
{activityId}
/
files
Upload a file to an activity
Authorizations
Bearer token authentication
Path Parameters
Activity UUID
Body
multipart/form-data
File to upload (max 10MB)
Response
File uploaded successfully
ID del archivo
ID de la actividad
Nombre del archivo
Tipo MIME del archivo
Tamaño del archivo en bytes
Fecha de subida
File URL (Azure Blob Storage SAS URL)
⌘I